Skip to content

Rooms of a game the active profile may see: public ones it may join, and the ones it sits at.

GET
/api/rooms
curl --request GET \
--url 'https://example.com/api/rooms?game=example'
game
required
string

OK

Media typeapplication/json
Array<object>
object
id
required
string format: uuid
gameId
required
string
status
required
string
hostName
required
string
hostAvatar
required
string
taken
required
integer format: int32
seats
required
integer format: int32
locked
required
boolean
turnSeconds
required
integer format: int32
mine
required
boolean
spectators
required
boolean

Example generated

[
{
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"gameId": "example",
"status": "example",
"hostName": "example",
"hostAvatar": "example",
"taken": 1,
"seats": 1,
"locked": true,
"turnSeconds": 1,
"mine": true,
"spectators": true
}
]

Forbidden

Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string

Example generated

{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}